Subject: PWG> Re: Draft Printer MIB: replacing the authors with a single editor?

From: Chris Wellens <[email-masked]>
Date: Sat, 30 Nov 1996 14:08:09 -0800 (PST)

Tom,

At the New Orleans meeting, I said the classy way to 
handle authorship is to to name the working group 
members as the authors of the document, and call out 
the editor for special recognition.

To create a good standard, we want to be inclusive,
not exclusive.  We need to draw out all individuals
who can make a contribution and get them to make it,
meaning participate actively in technical discussions,
implement products, provide clarifications, and
ultimately get interoperable products deployed.  The 
motivation to participate is that your company needs 
the spec done to deploy product(s).

If we have 15 to 20 engineers actively engaged in the 
Working Group, then they are all "authors".  The Chair's 
job is to facilitate and keep the group moving towards 
the goal, and the editor's job is to restate, integrate, 
and coordinate all of the discussion into a coherent
document.  We are much more likely to get 15 to 20
interoperable implementations this way.  This is the
proof that we have a good spec.

I agree that it is very important to recognize a
single individual's hard work.  There are many ways of
doing this without promoting the few at the expense of
the many.   

There is no IETF policy on authorship; it is
at the discretion of the Chair(s).  The document you 
cite addresses syntax, not semantics.  Dave Clark's
statement of the IETF philosophy is applicable here:
"We reject kings, presidents, and voting.  We believe
in rough consensus and running code."

On Wed, 27 Nov 1996, Tom Hastings wrote:

> Every RFC and internet draft that I have seen has a list of authors.
> So I'm puzzled with Chris Wellen's suggestion at the last PWG meeting that
> IETF policy is to replace the authors names with the single editor
> as we progress the Printer MIB from proposed standard to draft standard.
> 
> I didn't see this discussion in the New Orleans minutes, so I thought it 
> should be brought up to the e-mail list.
> 
> One of the few perks of working on IETF standards is being listed as
> an author.  While this may seem as self serving, since I'm listed as
> an author of the Printer MIB, I feel that giving credit to work
> contributed is important in a professional activity.  Authorship
> gives recognition to significant contributions and encourages participants 
> to come forward and donate significant time to preparing specifications.
> 
> The following is extracted from the instructions to "Guidelines to Authors
> of Internet-Drafts" that I found on the IETF web page:
> 
>   The document should have an abstract section, containing a two-to-three
>   paragraph description suitable for referencing, archiving, and
>   announcing the document.  This abstract will be used in the
>   1id-abstracts.txt index, and in the announcement of the Internet-Draft.
>   The abstract should follow the ``Status of this Memo'' section.  In
>   addition, the Internet-Draft should contain a section giving name and
>   contact information (postal mail, voice/fax number and/or e-mail) for
>   the authors.
> 
> Here authors is listed as *plural*, so it would seem that the policy of
> multiple authors in the IETF is real.
> 
> We also discussed whether the authors of the proposed standard (RFC 1759) 
> should be carried forward into the draft standard, adding new authors, such
> as Randy Turner, the editor, and Binnur Al-Kazily, the PWG chair.  
> We agreed to drop the authors who had not participated in the refinment of 
> the document since the proposed standard and add Randy and Binnur.  Again, 
> I don't know what is the usual IETF policy.  However, the writing 
> contributions of Ron Smith, Steve Zilles, and Joel Gyllenskog remain in 
> the draft standard, as Randy's and Binnur's writing contributions are added.
> 
> Commments?
> 
> Thanks,
> Tom
> 
> 
>